CMSIS-Driver: SAI Companding

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Companding
SAI Configuration

Defines companding. More...

## Macros

#define | ARM_SAI_COMPANDING_NONE (0UL << ARM_SAI_COMPANDING_Pos)
| No companding (default) More...
#define | ARM_SAI_COMPANDING_A_LAW (2UL << ARM_SAI_COMPANDING_Pos)
| A-Law companding. More...
#define | ARM_SAI_COMPANDING_U_LAW (3UL << ARM_SAI_COMPANDING_Pos)
| u-Law companding More...

## Description

Defines companding.

## Macro Definition Documentation

#define ARM_SAI_COMPANDING_NONE (0UL << ARM_SAI_COMPANDING_Pos)

No companding (default)

#define ARM_SAI_COMPANDING_A_LAW (2UL << ARM_SAI_COMPANDING_Pos)

A-Law companding.

#define ARM_SAI_COMPANDING_U_LAW (3UL << ARM_SAI_COMPANDING_Pos)

u-Law companding